<!--The content below is only a placeholder and can be replaced.-->
<div style = "text-align:center">
  <h1>
     Welcome to {{title}}.
  </h1>
</div>

<form [formGroup]="formdata" novalidate (ngSubmit)="addDog(formdata.value)">
  <input type='text' name='text' formControlName="fullname" placeholder='FullName'>
  <input type='text' name='text' formControlName="rasa" placeholder='Rasa'>
  <button type='submit'>Submit</button>
</form>

<div>
  <ul>
    <div *ngFor="let dog of dogs" > 
      <p>FullName: {{ dog.fullname }}</p> 
      <p>Rasa: {{ dog.rasa }}</p> 
      <button class="delete" title="delete dog" (click)="delete(dog)">Delete Dog</button>
      <button class='edit' (click)='hideme[dog.id] = !hideme[dog.id]'>Edit Dog</button>
      <div [hidden]="!hideme[dog.id]">
        <form autocomplete='off' class='editGroupForm' [formGroup]="formdata" novalidate (ngSubmit)='editDog(dog)'>
          <input type="text" name='fullname' placeholder="Edit Name" required formControlName="fullname">
          <input type="text" placeholder="Edit Rasa" required formControlName="rasa">
          <button type='submit' [disabled]="formdata.invalid">Edit Dog</button>
          <button (click)='hideme[dog.id] = !hideme[dog.id]'>Close Edit</button>
        </form>
      </div> 
    </div>
  </ul>
</div>

<!-- <app-read #readComponent></app-read> -->

<!-- 
<br/>
<div>
  <span *ngIf = "isavailable; then condition1 else condition2">
     Condition is valid.
  </span>
  <ng-template #condition1>Condition is valid</ng-template>
  <ng-template #condition2>Condition is invalid</ng-template>
</div>
<button (click)="myClickFunction($event)">
  Click Me
</button> -->
<!-- <div> Months :
  <select (change)= "changemonths($event)">
     <option *ngFor = "let i of months">{{i}}</option>
  </select>
</div> -->